List insight silences
curl --request GET \
--url https://api.gcore.com/waap/v2/domains/{domain_id}/insight-silences \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/waap/v2/domains/{domain_id}/insight-silences"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/waap/v2/domains/{domain_id}/insight-silences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"limit": 123,
"offset": 123,
"count": 123,
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"insight_type": "<string>",
"labels": {},
"comment": "<string>",
"author": "<string>",
"expire_at": "2023-11-07T05:31:56Z"
}
]
}{
"type": "http-bad-request",
"title": "Bad Request",
"status": 400,
"detail": "Invalid domain name: ''''"
}{
"detail": "Auth token is missing or invalid"
}{
"detail": "Permission denied"
}{
"type": "http-not-found",
"title": "Not Found",
"status": 404,
"detail": "The resource is not found"
}{
"type": "request-validation-failed",
"title": "Request validation error.",
"status": 422,
"detail": "One or more fields have validation errors.",
"errors": [
{
"loc": [
"body",
"name"
],
"detail": "Input should be a valid string"
},
{
"loc": [
"body",
"date"
],
"detail": "Field required"
},
{
"loc": [
"query",
"limit"
],
"detail": "Field required"
}
]
}{
"type": "internal-server-error",
"title": "Internal server error.",
"status": 500,
"detail": "An unexpected condition was encountered which prevented the server from fulfilling the request."
}Security Insights
List insight silences
Retrieve a list of insight silences for a specific domain
GET
/
waap
/
v2
/
domains
/
{domain_id}
/
insight-silences
List insight silences
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
The domain ID
Query Parameters
Sort the response by given field.
Available options:
id, -id, insight_type, -insight_type, comment, -comment, author, -author, expire_at, -expire_at Number of items to return
Required range:
0 <= x <= 100Number of items to skip
Required range:
0 <= x <= 100000The ID of the insight silence
The type of the insight silence
The comment of the insight silence
The author of the insight silence
Response
Successful Response
Was this page helpful?